% This is a MATLAB test file for testing operators for compatible 
% cluster merging (CCM).

c1=c1.^10;   % re-scale first criterion

v1=c1(find(triu(ones(size(c1)),1)));
v2=c2(find(triu(ones(size(c2)),1)));
v3=c3(find(triu(ones(size(c3)),1)));

%aa = mean([1.5*max(v1) 0.5*min(v1)]);
aa = genmean(v1,1,[]);
bb = 0.25*mean([max(v2) 3*min(v2)]);
cc = genmean(v3,1,[]);
    
%mf1=mgrade(v1',[2 max(min(v1),aa) 1 1 1]); 
mf1=mgrade(v1',[2 aa 1 1 1]); 

%mf1=mgrade(v1',[2 0.9995 1 1 1]);
%mf1=v1';
%mf2=mgrade(v2',[2 0 0 0 min(max(v2),bb)]);
%mf2=mgrade(v2',[2 0 0 0 0.2]);
%mf3=mgrade(v3',[2 0 1.8 3 4]);
mf3=mgrade(v3',[2 0 0 0 cc]);

% matr=[mf1' mf2' mf3'];
matr = [mf1' mf3'];

res=zeros(size(c1));
res(find(triu(ones(size(res)),1)))=genmean(matr',0.5,[])';



